libpympi-devel-2.5.b6-alt18.cvs20141103.x86_64.rpm


Advertisement

Description

libpympi-devel - Static development files of pyMPI

Property Value
Distribution ALT Linux Sisyphus
Repository Classic x86_64
Package name libpympi-devel
Package version 2.5.b6
Package release alt18.cvs20141103
Package architecture x86_64
Package type rpm
Installed size 1.69 MB
Download size 1.69 MB
Official Mirror ftp.altlinux.org
pyMPI is an implementation of MPI in python. pyMPI is intended to
support fast development of actual or prototypical parallel
applications as well as provide a tool for teaching parallel
programming methods without the intricacies of higher level languages.
This package contains static libraries and headers of pyMPI.

Alternatives

Package Version Architecture Repository
libpympi-devel-2.5.b6-alt18.cvs20141103.i586.rpm 2.5.b6 i586 Classic
libpympi-devel - - -

Requires

Name Value
/lib64/ld-linux-x86-64.so.2 -
/usr/lib64/openmpi/lib/libmpi_mpifh.so.20 -
libgfortran.so.3()(64bit) -
libgfortran.so.3(GFORTRAN_1.0)(64bit) -
libgfortran.so.3(GFORTRAN_1.4)(64bit) -
python-module-pyMPI = 2.5.b6-alt18.cvs20141103
rpmlib(PayloadIsLzma) -

Provides

Name Value
libpympi-devel = 2.5.b6-alt18.cvs20141103

Download

Type URL
Binary Package libpympi-devel-2.5.b6-alt18.cvs20141103.x86_64.rpm
Source Package pympi-2.5.b6-alt18.cvs20141103.src.rpm

Install Howto

  1. Add the following line to /etc/apt/sources.list:
    
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus x86_64 classic
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus noarch classic
    
  2. Update the package index:
    # sudo apt-get update
  3. Install libpympi-devel rpm package:
    # sudo apt-get install libpympi-devel

Files

Path
/usr/bin/pyMPI2.5_linker
/usr/bin/pyMPI_linker
/usr/include/pyMPI2.5/augmentedMakefile
/usr/include/pyMPI2.5/initmpi.h
/usr/include/pyMPI2.5/pyMPI.exp
/usr/include/pyMPI2.5/pyMPI.h
/usr/include/pyMPI2.5/pyMPI_Config.h
/usr/include/pyMPI2.5/pyMPI_Externals.h
/usr/include/pyMPI2.5/pyMPI_Macros.h
/usr/include/pyMPI2.5/pyMPI_Types.h
/usr/lib64/libpyMPI.a
/usr/lib64/libsomething.so

Changelog

See pympi-2.5.b6-alt18.cvs20141103.x86_64.rpm changelog.

See Also

Package Description
libpyside-qt4-1.2.2-alt3.git20140501.x86_64.rpm Shared libraries of PySide
libpyside-qt4-devel-1.2.2-alt3.git20140501.x86_64.rpm Development files of PySide
libpyside-qt4-py3-1.2.2-alt3.git20140501.x86_64.rpm Shared libraries of PySide (Python 3)
libpyside-qt4-py3-devel-1.2.2-alt3.git20140501.x86_64.rpm Development files of PySide (Python 3)
libpython-2.7.14-alt7.1.x86_64.rpm Python shared library
libpython3-3.6.5-alt1.1.x86_64.rpm Python3 shared library
libqacache-0.3-alt1.x86_64.rpm NoSQL solution for data caching
libqacache-devel-0.3-alt1.x86_64.rpm NoSQL solution for data caching
libqaccessibilityclient-0.1.1-alt1.x86_64.rpm Accessibility client library for Qt
libqaccessibilityclient-devel-0.1.1-alt1.x86_64.rpm Development files for libqaccessibilityclient
libqaccessibilityclient-qt5-0.2.0-alt2.S1.x86_64.rpm This library is used when writing accessibility clients
libqaccessibilityclient-qt5-devel-0.2.0-alt2.S1.x86_64.rpm Development files for libqaccessibilityclient-qt5
libqalculate-2.6.1-alt1.S1.x86_64.rpm libqalculate libraries
libqalculate-devel-2.6.1-alt1.S1.x86_64.rpm libqalculate development package
libqb-1.0.3-alt1_4.x86_64.rpm An IPC library for high performance servers
Advertisement
Advertisement